<marlin xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ilcsoft.desy.de/marlin/marlin.xsd">
<execute>
    <processor name="ProgressProcessor" />
    <processor name="WireChamberCalibrationProcessor"/>
    <processor name="WireChamberProcessor" />
    <processor name="OutputProcessor"/> 
</execute>

<global>
    <parameter name="LCIOInputFiles"> /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660330.slcio </parameter>
    <!-- limit the number of processed records (run+evt): -->  
    <parameter name="MaxRecordNumber" value="3" />  
    <parameter name="SkipNEvents" value="0" />  
    <parameter name="SupressCheck" value="false" />  
    <parameter name="GearXMLFile"> </parameter>  
    <parameter name="Verbosity" options="DEBUG0-4,MESSAGE0-4,WARNING0-4,ERROR0-4,SILENT"> MESSAGE </parameter> 
    <parameter name="RandomSeed" value="1234567890" />
</global>

<processor name="ProgressProcessor" type="DhcalProgressProcessor">
    <parameter name="Interval" value="1" />
</processor>

<processor name="WireChamberCalibrationProcessor" type="WireChamberCalibrationProcessor">
    <parameter name="InputCollection"> WireChamberRawHits </parameter>
    <parameter name="OutputCollection"> CalibratedWireChamberHits </parameter>
    <parameter name="HorizontalSlopes"> 0.2 0.2 0.2 </parameter>
    <parameter name="VerticalSlopes"> 0.2 0.2 0.2 </parameter>
    <parameter name="HorizontalResolutions"> 1.0 1.0 1.0 </parameter>
    <parameter name="VerticalResolutions"> 1.0 1.0 1.0 </parameter>
    <parameter name="XPositions"> 0.0 0.0 0.0 </parameter>
    <parameter name="YPositions"> 0.0 0.0 0.0 </parameter>
    <parameter name="ZPositions"> -1190.0 -750.0 -320.0 </parameter>
    <parameter name="Verbosity" > DEBUG </parameter> 
</processor>

<processor name="WireChamberProcessor" type="WireChamberProcessor">
</processor>

<processor name="OutputProcessor" type="LCIOOutputProcessor">
    <!--Writes the current event to the specified LCIO outputfile. Needs to be the last ActiveProcessor.-->
    <!-- name of output file -->
    <parameter name="LCIOOutputFile" type="string"> wireChamberCalibTest.slcio </parameter>
    <!--write mode for output file:  WRITE_APPEND or WRITE_NEW-->
    <parameter name="LCIOWriteMode" type="string"> WRITE_NEW </parameter>
</processor>

</marlin>
